[PATCH util-modular] build.sh: run make clean after make install
Peter Hutterer
peter.hutterer at who-t.net
Thu Jul 26 21:04:05 PDT 2012
Running it before dist/distcheck/install is a bit pointless
Signed-off-by: Peter Hutterer <peter.hutterer at who-t.net>
---
build.sh | 18 +++++++++---------
1 file changed, 9 insertions(+), 9 deletions(-)
diff --git a/build.sh b/build.sh
index 968a363..4d0efb5 100755
--- a/build.sh
+++ b/build.sh
@@ -499,15 +499,6 @@ process() {
fi
fi
- if [ X"$CLEAN" != X ]; then
- ${MAKE} $MAKEFLAGS clean
- if [ $? -ne 0 ]; then
- failed "$MAKE $MAKEFLAGS clean" $module $component
- cd $old_pwd
- return 1
- fi
- fi
-
if [ X"$DIST" != X ]; then
${MAKE} $MAKEFLAGS dist
if [ $? -ne 0 ]; then
@@ -533,6 +524,15 @@ process() {
return 1
fi
+ if [ X"$CLEAN" != X ]; then
+ ${MAKE} $MAKEFLAGS clean
+ if [ $? -ne 0 ]; then
+ failed "$MAKE $MAKEFLAGS clean" $module $component
+ cd $old_pwd
+ return 1
+ fi
+ fi
+
cd ${old_pwd}
return 0
--
1.7.10.4
More information about the xorg-devel
mailing list